Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.buildin.simplebigdecimal
Class SimpleBigDecimalScoreDefinition

    java.lang.Object
      org.optaplanner.core.impl.score.definition.AbstractScoreDefinition<SimpleBigDecimalScore>
          org.optaplanner.core.impl.score.buildin.simplebigdecimal.SimpleBigDecimalScoreDefinition

All Implemented Interfaces:
  Serializable, ScoreDefinition<SimpleBigDecimalScore>

    public class SimpleBigDecimalScoreDefinition

extends AbstractScoreDefinition<SimpleBigDecimalScore>

See Also:
  Serialized Form

Constructor Summary
`SimpleBigDecimalScoreDefinition()`

Method Summary
`SimpleBigDecimalScore` | `buildOptimisticBound(InitializingScoreTrend initializingScoreTrend, SimpleBigDecimalScore score)` Builds a `Score` which is equal or better than any other `Score` with more variables initialized (while the already variables don't change).
`SimpleBigDecimalScore` | `buildPessimisticBound(InitializingScoreTrend initializingScoreTrend, SimpleBigDecimalScore score)` Builds a `Score` which is equal or worse than any other `Score` with more variables initialized (while the already variables don't change).
`SimpleBigDecimalScoreHolder` | `buildScoreHolder(boolean constraintMatchEnabled)` Used by `DroolsScoreDirector`.
`int` | `getLevelsSize()` Returns the length of `Score.toLevelNumbers()` for every `Score` of this definition.
`Class<SimpleBigDecimalScore>` | `getScoreClass()` Returns the `Class` of the actual `Score` implementation
`SimpleBigDecimalScore` | `parseScore(String scoreString)` Parses the `String` and returns a `Score`.

Methods inherited from class org.optaplanner.core.impl.score.definition.AbstractScoreDefinition
`formatScore, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleBigDecimalScoreDefinition

    public SimpleBigDecimalScoreDefinition()

Method Detail

### getLevelsSize

    public int getLevelsSize()

  Description copied from interface: `ScoreDefinition`
  Returns the length of `Score.toLevelNumbers()` for every `Score` of this definition.

  Returns:
    at least 1

### getScoreClass

    public Class<SimpleBigDecimalScore> getScoreClass()

  Description copied from interface: `ScoreDefinition`
  Returns the `Class` of the actual `Score` implementation

  Returns:
    never null

### parseScore

    public SimpleBigDecimalScore parseScore(String scoreString)

  Description copied from interface: `ScoreDefinition`
  Parses the `String` and returns a `Score`.

  Parameters:
    `scoreString` - never null
  Returns:
    never null
  See Also:
    `ScoreDefinition.formatScore(Score)`

### buildScoreHolder

    public SimpleBigDecimalScoreHolder buildScoreHolder(boolean constraintMatchEnabled)

  Description copied from interface: `ScoreDefinition`
  Used by `DroolsScoreDirector`.

  Parameters:
    `constraintMatchEnabled` - true if `ScoreHolder.isConstraintMatchEnabled()` should be true
  Returns:
    never null

### buildOptimisticBound

    public SimpleBigDecimalScore buildOptimisticBound(InitializingScoreTrend initializingScoreTrend,
                                                      SimpleBigDecimalScore score)

  Description copied from interface: `ScoreDefinition`
  Builds a `Score` which is equal or better than any other `Score` with more variables initialized (while the already variables don't change).

  Parameters:
    `initializingScoreTrend` - never null, with `InitializingScoreTrend.getLevelsSize()` equal to `ScoreDefinition.getLevelsSize()`.
    `score` - never null
  Returns:
    never null

### buildPessimisticBound

    public SimpleBigDecimalScore buildPessimisticBound(InitializingScoreTrend initializingScoreTrend,
                                                       SimpleBigDecimalScore score)

  Description copied from interface: `ScoreDefinition`
  Builds a `Score` which is equal or worse than any other `Score` with more variables initialized (while the already variables don't change).

  Parameters:
    `initializingScoreTrend` - never null, with `InitializingScoreTrend.getLevelsSize()` equal to `ScoreDefinition.getLevelsSize()`.
    `score` - never null
  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2015 JBoss by Red Hat. All Rights Reserved.